# $Revision: 1.34 $, $Date: 2006/11/24 11:18:35 $
Summary:	Python tool that checks if a module satisfy a coding standard
Summary(pl):	Pythonowe narzdzie sprawdzajce zgodno moduu ze standardem kodowania
Name:		pylint
Version:	0.12.2
Release:	1
License:	GPL
Group:		Development/Languages/Python
Source0:	ftp://ftp.logilab.fr/pub/pylint/%{name}-%{version}.tar.gz
# Source0-md5:	38333614235969f9e715c71666cc596f
URL:		http://www.logilab.org/projects/pylint/view
BuildRequires:	python-devel
BuildRequires:	python-modules >= 2.2.1
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
%pyrequires_eq	python-modules
Requires:	python-logilab-astng >= 0.16.3
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Python tool that checks if a module satisfy a coding standard.

%description -l pl
Narzdzie sprawdzajce zgodno moduw napisanych w jzyku Python
z reguami tworzenia kodu rdowego.

%package gui
Summary:	GUI for pylint
Summary:	Graficzny interfejs uytkownika dla pylinta
Group:		Development/Languages/Python
Requires:	%{name} = %{version}-%{release}
Requires:	python-tkinter

%description gui
Tk based GUI for pylint.

%description gui -l pl
Oparty na bibliotece Tk graficzny interfejs uytkownika dla pylinta.

%prep
%setup -q

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_mandir}/man1}

python setup.py install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

install man/*.1 $RPM_BUILD_ROOT%{_mandir}/man1
install examples/pylintrc $RPM_BUILD_ROOT%{_sysconfdir}/pylintrc

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog TODO README examples/* doc/*.txt
%attr(755,root,root) %{_bindir}/pylint
%attr(755,root,root) %{_bindir}/symilar
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/pylintrc
%{py_sitescriptdir}/*
%{_mandir}/man1/*

%files gui
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/pylint-gui

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pylint.spec,v $
Revision 1.34  2006/11/24 11:18:35  wrobell
- ver. 0.12.2

Revision 1.33  2006/09/26 22:54:24  wrobell
- rel. 2 to rebuild with python 2.5 (final)

Revision 1.32  2006/09/26 18:08:21  wrobell
- ver. 0.12.1

Revision 1.31  2006/04/20 21:37:51  wrobell
- ver. 0.11.0

Revision 1.30  2006/03/10 11:39:07  wrobell
- installing full pylintrc (if there is something wrong with this, then
  please make a patch against it, because using tail is error prone!)
- rel. 2

Revision 1.29  2006/03/06 18:48:59  wrobell
- ver. 0.10.0

Revision 1.28  2006/01/24 06:01:48  charles
- updated to 0.9.0

Revision 1.27  2005/11/17 17:30:57  qboosh
- pl fix

Revision 1.26  2005/11/17 17:00:41  charles
- split gui subpackage, R: python-tkinter
- proper %{_sysconfdir}/pylintrc
- use %py_postclean macro, BR rpmbuild(macros) up to >= 1.219

Revision 1.25  2005/11/15 10:57:12  qboosh
- added verify(not size) to config

Revision 1.24  2005/11/15 10:30:39  charles
- updated to 0.8.1
- updated BRs (in it python-logilab-astng instead of python-logilab-common)
- logilab/__init__.py - no longer has in sources

Revision 1.23  2005/05/27 17:11:45  wrobell
- ver. 0.7.0

Revision 1.22  2005/05/11 16:43:16  wrobell
- added manpage

Revision 1.21  2005/05/11 15:15:16  wrobell
- ver. 0.6.4

Revision 1.20  2005/03/12 12:32:37  troll
- mass commit: remove obsolete BR: rpm-pythonprov

Revision 1.19  2005/02/28 12:30:32  czucz
- updated to 0.6.3

Revision 1.18  2005/02/14 16:32:22  darekr
- updated to 0.6.1

Revision 1.17  2005/01/24 19:08:18  wrobell
- ver. 0.6.0

Revision 1.16  2005/01/09 17:57:46  saq
- missing BR & pyreqeq

Revision 1.15  2004/10/25 11:21:40  wrobell
- ver. 0.5.0

Revision 1.14  2004/08/31 16:10:18  darekr
- updated to 0.4.2

Revision 1.13  2004/07/28 08:03:15  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.12  2004/06/01 00:30:40  jpc
- added/corrected URLs

Revision 1.11  2004/05/17 21:06:55  wrobell
- ver. 0.4.1

Revision 1.10  2004/05/12 20:46:03  qboosh
- updated to 0.4.0 (from Marcin Gajda), cosmetics

Revision 1.9  2004/02/24 15:54:27  wrobell
- ver. 0.3.3

Revision 1.8  2003/10/10 11:39:25  wrobell
- improved pl description
- fixed requires for logilab's common package
- removed unnecessary patches
- rel. 1

Revision 1.7  2003/10/10 10:54:54  wrobell
- more docs

Revision 1.6  2003/10/10 10:53:19  wrobell
- ver. 0.2.1, nfy

Revision 1.5  2003/10/04 15:19:18  wrobell
- logilab's common package will not provide logilab/__init__.py by
  default...

Revision 1.4  2003/10/03 11:18:28  wrobell
- more docs
- install default config file
- rel. 0.2

Revision 1.3  2003/09/27 13:07:20  wiget
- updated to 0.2

Revision 1.2  2003/09/02 12:17:08  qboosh
- pl

Revision 1.1  2003/09/01 14:27:18  wrobell
- -
